Content:
  type: entity
  inheritanceType: SINGLE_TABLE
  id:
    id:
      type: integer
      generator:
        strategy: AUTO
  manyToOne:
    type:
      targetEntity: ContentType
      joinColumns:
        type:
          referencedColumnName: id
          nullable: false
  discriminatorColumn:
    name: type
    type: integer
  discriminatorMap:
    1: Post
